Zum Inhalt springen
meniodevelopermenio DashboardVorschau

POST tokens/{id} · POS API

POST tokens/{id}

POS API v3tokens
POST/tokens/{id}

This call creates a new consumer profile for a given token.

*Please form a checksum (see Security-Token) for the ** {id} *and specify it in the 'SecurityToken' header.

Parameter

idstringErforderlich

Enter the token read from a carrier medium here.

Beispiel: cardId123

Request-Header

DevKey
{Your Key}
TrackingUnitId
{trackingUnitId}
SecurityToken
{checksum over {id}
Token
optional {the token read from a carrier medium as customer identifier}
Kontext: tokens

Tokens are arbitrary, but always different, non-repeatable strings, which can be used for identification purposes as well as for of a consumer ('consumer') as well as for the identification of a credit balance ('balance'). As a rule these tokens are stored on any carrier medium and sent to a consumer in the form of a 'customer card' or 'gift card handed over. The consumer will have to present this carrier medium at the POS with his next purchases in order to access the to be able to access credit or to be credited with menio-Rewards.

Originaler Blueprint-Ausschnitt
API Blueprint
### POST tokens/{id} [POST]
This call creates a new consumer profile for a given token. 

*Please form a checksum (see [Security-Token](#introduction/basic/security-token)) for the ** **{id}** *and specify it in the 'SecurityToken' header.

+ Parameters
    + id (string, `cardId123`) ... Enter the token read from a carrier medium here. 

+ Request

    + Headers

            DevKey: {Your Key}
            TrackingUnitId: {trackingUnitId}
            SecurityToken: {checksum over {id}
            Token: optional {the token read from a carrier medium as customer identifier}
            
    + Body
    
            {
                "UserGroup": {
                    "Key": "ThirdPartyId",
                    "Name": "UserGroupName"
                }
            }

+ response 200

+ response 500

        // HTTP-InternalServerError: An unknown problem occurred during processing
        {
            "ErrorMessage": "some explanation"
            "StackTrace": "text"
        }
            
+ Response 401

        // HTTP-Unauthorized: DevKey, trackingUnitId or SecurityToken not specified/wrong
            
+ response 400

        {
            "ErrorId":13000,
            "ErrorText": "Details of the error"
        }
        
        // here all possible error codes incl. texts for this resource
        // 13026: Feature is not supported by the brand.
        // 13025: Profile already exist.